Bug 229203 - slow driver for RealTek 8168/8111 in 2.6.19
slow driver for RealTek 8168/8111 in 2.6.19
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-02-19 10:50 EST by maurenzig
Modified: 2008-01-08 07:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 07:56:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description maurenzig 2007-02-19 10:50:11 EST
Description of problem:
The card RealTek RTL8168/8111 is recognized in 2.6.19 but, in some
conditions, works very badly


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
doing ssh -X and opening e.g. xemacs takes up to 75s with the driver in the
kernel and less than 3s with the beta driver supplied from Realtek
(r1000_v1.05Beta1.tar). 

In 2.6.18 one had to install the RealTek driver.

Linux localhost 2.6.19-1.2911.fc6 #1 SMP Sat Feb 10 15:51:47 EST 2007 i686 i686
i386 GNU/Linux

I don't know which informations could be helpful
(syslog? messages?) 

From /var/log/messages with the kernel driver:
Feb 19 14:07:48 leased-2-223 kernel: r8169 Gigabit Ethernet driver 2.2LK-NAPI loaded
Feb 19 14:07:49 leased-2-223 kernel: eth0: RTL8168b/8111b at 0xf894a000,
00:15:f2:b0:2f:c6, IRQ 16
Feb 19 14:07:50 leased-2-223 kernel: r8169: eth1: link up
Feb 19 14:07:50 leased-2-223 kernel: r8169: eth1: link up


There is also some problem with eth0/eth1 that I don't understand

This is the boot with the RealTek driver:
Feb 19 13:30:16 leased-2-223 kernel: eth0: r10001.04, the Linux device driver
for Realtek Ethernet Controllers at 0xc
800, 00:15:f2:b0:2f:c6, IRQ 16
Feb 19 13:30:16 leased-2-223 avahi-daemon[2694]: New relevant interface
eth1.IPv6 for mDNS.
Feb 19 13:30:16 leased-2-223 kernel: Realtek RTL8168/8111 Family PCI-E Gigabit
Ethernet Network Adapter
Feb 19 13:30:16 leased-2-223 avahi-daemon[2694]: Joining mDNS multicast group on
interface eth1.IPv6 with address fe8
0::215:f2ff:feb0:2fc6.
Feb 19 13:30:16 leased-2-223 kernel: Driver version:1.04
Feb 19 13:30:16 leased-2-223 avahi-daemon[2694]: New relevant interface
eth1.IPv4 for mDNS.
Feb 19 13:30:16 leased-2-223 kernel: Released date:2006/07/07
Feb 19 13:30:16 leased-2-223 avahi-daemon[2694]: Joining mDNS multicast group on
interface eth1.IPv4 with address 172
.16.252.223.
Feb 19 13:30:16 leased-2-223 kernel: Link Status:Linked
Feb 19 13:30:17 leased-2-223 avahi-daemon[2694]: Network interface enumeration
completed.
Feb 19 13:30:17 leased-2-223 kernel: Link Speed:100Mbps
Feb 19 13:30:17 leased-2-223 avahi-daemon[2694]: Registering new address record
for fe80::215:f2ff:feb0:2fc6 on eth1.
Feb 19 13:30:17 leased-2-223 kernel: Duplex mode:Full-Duplex
Feb 19 13:30:17 leased-2-223 kernel: I/O Base:0xC800(I/O port)
....
Comment 1 Jon Stanley 2008-01-07 20:54:35 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 maurenzig 2008-01-08 02:26:05 EST
You can close the bug. The driver is presently working much better, but still in
fedora 7 the opening of Xemacs on an ssh connectins requires few seconds (on a
fast network)

Note You need to log in before you can comment on or make changes to this bug.